package com.bocloud.nms.model.agile;

import java.util.Date;
import java.util.List;

/**
 * 华为SDN vpc 互通实例model
 */
public class AgileVpcConnectionModel {
    private String name;
    private Boolean adminStateUp;
    private String vpcConnUuid;
    private String remark;
    private String status;
    private String tenantUuid;
    private String localLogicRouterUuid; // 华为SDN vpc互通实例源逻辑路由器id
    private String localLogicRouterName; // 华为SDN vpc互通实例源逻辑路由器名称
    private String localLogicVasUuid; // 华为SDN vpc互通实例源逻辑防火墙id
    private String localLogicVasName; // 华为SDN vpc互通实例源逻辑防火墙名称
    private List<String> localCidrs; // 华为SDN vpc互通实例源网段列表
    private String peerLogicRouterUuid; // 华为SDN vpc互通实例目的逻辑路由器id
    private String peerLogicRouterName; // 华为SDN vpc互通实例目的逻辑路由器名称
    private String peerLogicVasUuid; // 华为SDN vpc互通实例目的逻辑防火墙id
    private String peerLogicVasName; // 华为SDN vpc互通实例目的逻辑防火墙名称
    private List<String> peerCidrs; // 华为SDN vpc互通实例目的网段列表
    private Boolean localFirewallEnable; // 源VPC是否有防火墙保护
    private Boolean peerFirewallEnable; // 目的VPC是否有防火墙保护
    private Integer priority; // 静态路由的优先级。
    private List<String> dciGatewayIds; // DCI网关设备组ID, 用于Transit专线接入的VPC互通。
    private String producer; //配置来源
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间

    /**
     *
     */
    public AgileVpcConnectionModel() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getAdminStateUp() {
        return adminStateUp;
    }

    public void setAdminStateUp(Boolean adminStateUp) {
        this.adminStateUp = adminStateUp;
    }

    public String getVpcConnUuid() {
        return vpcConnUuid;
    }

    public void setVpcConnUuid(String vpcConnUuid) {
        this.vpcConnUuid = vpcConnUuid;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getLocalLogicRouterUuid() {
        return localLogicRouterUuid;
    }

    public void setLocalLogicRouterUuid(String localLogicRouterUuid) {
        this.localLogicRouterUuid = localLogicRouterUuid;
    }

    public String getLocalLogicRouterName() {
        return localLogicRouterName;
    }

    public void setLocalLogicRouterName(String localLogicRouterName) {
        this.localLogicRouterName = localLogicRouterName;
    }

    public String getLocalLogicVasUuid() {
        return localLogicVasUuid;
    }

    public void setLocalLogicVasUuid(String localLogicVasUuid) {
        this.localLogicVasUuid = localLogicVasUuid;
    }

    public String getLocalLogicVasName() {
        return localLogicVasName;
    }

    public void setLocalLogicVasName(String localLogicVasName) {
        this.localLogicVasName = localLogicVasName;
    }

    public List<String> getLocalCidrs() {
        return localCidrs;
    }

    public void setLocalCidrs(List<String> localCidrs) {
        this.localCidrs = localCidrs;
    }

    public String getPeerLogicRouterUuid() {
        return peerLogicRouterUuid;
    }

    public void setPeerLogicRouterUuid(String peerLogicRouterUuid) {
        this.peerLogicRouterUuid = peerLogicRouterUuid;
    }

    public String getPeerLogicRouterName() {
        return peerLogicRouterName;
    }

    public void setPeerLogicRouterName(String peerLogicRouterName) {
        this.peerLogicRouterName = peerLogicRouterName;
    }

    public String getPeerLogicVasUuid() {
        return peerLogicVasUuid;
    }

    public void setPeerLogicVasUuid(String peerLogicVasUuid) {
        this.peerLogicVasUuid = peerLogicVasUuid;
    }

    public String getPeerLogicVasName() {
        return peerLogicVasName;
    }

    public void setPeerLogicVasName(String peerLogicVasName) {
        this.peerLogicVasName = peerLogicVasName;
    }

    public List<String> getPeerCidrs() {
        return peerCidrs;
    }

    public void setPeerCidrs(List<String> peerCidrs) {
        this.peerCidrs = peerCidrs;
    }

    public Boolean getLocalFirewallEnable() {
        return localFirewallEnable;
    }

    public void setLocalFirewallEnable(Boolean localFirewallEnable) {
        this.localFirewallEnable = localFirewallEnable;
    }

    public Boolean getPeerFirewallEnable() {
        return peerFirewallEnable;
    }

    public void setPeerFirewallEnable(Boolean peerFirewallEnable) {
        this.peerFirewallEnable = peerFirewallEnable;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public List<String> getDciGatewayIds() {
        return dciGatewayIds;
    }

    public void setDciGatewayIds(List<String> dciGatewayIds) {
        this.dciGatewayIds = dciGatewayIds;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }
}
